﻿using Telerik.Windows.Controls;
using Telerik.Windows.Controls.ScheduleView;

namespace RadScheduleView_DataTemplates
{
	public class ViewModel
	{
		public ViewModel()
		{
			this.Appointments = new ObservableAppointmentCollection();
			ResourceType rooms = new ResourceType("Room");
			rooms.Resources.Add(new Resource("Room 101"));
			rooms.Resources.Add(new Resource("Room 203"));
			rooms.Resources.Add(new Resource("Room 304"));
			this.ResourceTypes = new ResourceTypeCollection();
			this.ResourceTypes.Add(rooms);
			this.GroupDescription = new GroupDescriptionCollection();
			this.GroupDescription.Add(new DateGroupDescription());
			this.GroupDescription.Add(new ResourceGroupDescription() { ResourceType = "Room" });
		}
		public ObservableAppointmentCollection Appointments { get; private set; }
		public ResourceTypeCollection ResourceTypes { get; private set; }
		public GroupDescriptionCollection GroupDescription { get; private set; }
	}
}
